aboutsummaryrefslogtreecommitdiffstats
path: root/core/deps-tools.mk
diff options
context:
space:
mode:
authorJean-Sébastien Pédron <[email protected]>2017-05-10 19:09:46 +0200
committerLoïc Hoguin <[email protected]>2017-05-12 11:53:47 +0200
commitae5415d4a1000022c568932e7a6efa96e684b016 (patch)
treef26329540c7b5d1ebe68a1ff2395ff68d926d60c /core/deps-tools.mk
parent8b619436a8307367a3c29684ee17ff4ba0c4ef9b (diff)
downloaderlang.mk-ae5415d4a1000022c568932e7a6efa96e684b016.tar.gz
erlang.mk-ae5415d4a1000022c568932e7a6efa96e684b016.tar.bz2
erlang.mk-ae5415d4a1000022c568932e7a6efa96e684b016.zip
Make sure the build fails if a docs/rel/test/shell dep fails
Before this change, the build would continue, even if a dependency failed to build. This could lead to obscure errors in the middle of a testsuite for instance. With this change, the build fails immediately, exactly like when a regular dependency fails to build. While here, replace most uses of `|| exit $$?` with `set -e`. This simplifies error handling if we need to add more commands to each blocks. Also, echo error messages to stderr.
Diffstat (limited to 'core/deps-tools.mk')
-rw-r--r--core/deps-tools.mk10
1 files changed, 4 insertions, 6 deletions
diff --git a/core/deps-tools.mk b/core/deps-tools.mk
index d0b5203..de1cc2b 100644
--- a/core/deps-tools.mk
+++ b/core/deps-tools.mk
@@ -65,22 +65,20 @@ ifeq ($(IS_APP)$(IS_DEP),)
$(verbose) rm -f $(ERLANG_MK_RECURSIVE_TMP_LIST)
endif
ifndef IS_APP
- $(verbose) for dep in $(ALL_APPS_DIRS) ; do \
+ $(verbose) set -e; for dep in $(ALL_APPS_DIRS) ; do \
$(MAKE) -C $$dep $@ \
IS_APP=1 \
- ERLANG_MK_RECURSIVE_TMP_LIST=$(ERLANG_MK_RECURSIVE_TMP_LIST) \
- || exit $$?; \
+ ERLANG_MK_RECURSIVE_TMP_LIST=$(ERLANG_MK_RECURSIVE_TMP_LIST); \
done
endif
- $(verbose) for dep in $^ ; do \
+ $(verbose) set -e; for dep in $^ ; do \
if ! grep -qs ^$$dep$$ $(ERLANG_MK_RECURSIVE_TMP_LIST); then \
echo $$dep >> $(ERLANG_MK_RECURSIVE_TMP_LIST); \
if grep -qs -E "^[[:blank:]]*include[[:blank:]]+(erlang\.mk|.*/erlang\.mk)$$" \
$$dep/GNUmakefile $$dep/makefile $$dep/Makefile; then \
$(MAKE) -C $$dep fetch-deps \
IS_DEP=1 \
- ERLANG_MK_RECURSIVE_TMP_LIST=$(ERLANG_MK_RECURSIVE_TMP_LIST) \
- || exit $$?; \
+ ERLANG_MK_RECURSIVE_TMP_LIST=$(ERLANG_MK_RECURSIVE_TMP_LIST); \
fi \
fi \
done